
Synnefo - Feature # 1321

Status: Closed Priority: Medium

Author: Costas Drogos Category: deployment

Created: 09/28/2011 Assignee: Vangelis Koukis

Updated: 02/07/2012 Due date: 11/11/2011

Subject: init script for dispatcher.py

Description

Hello,

Attached you will find a squeeze(and beyond) init.d script for dispatcher.py (named /etc/init.d/snf-dispatcher) and the appropriate

/etc/default/snf-dispatcher

This init script takes care of running dispatcher.py as www-data, for django app to be able to write to /var/log/synnefo/dispatcher.log

The script is on use at the staging environment

Try including them to the next tarball for us to test it production-wide :)

Costas Drogos

Related issues:

related to Synnefo - Feature # 1479: Refactor repository, clean up cruft Closed 10/11/2011 11/11/2011

History

#1 - 09/28/2011 02:40 pm - Vangelis Koukis

- Category set to deployment

- Status changed from New to Assigned

- Assignee set to Constantinos Venetsanopoulos

- Target version set to v0.7

#2 - 10/11/2011 05:32 pm - Vangelis Koukis

- Target version changed from v0.7 to v0.8.0

This will be moved to v0.8: We need to refactor the repository, package synnefo properly as a Python package and use it from the Django webapp.

#3 - 10/18/2011 05:45 pm - Vangelis Koukis

- Due date set to 11/11/2011

#4 - 11/15/2011 04:30 pm - Constantinos Venetsanopoulos

- Assignee changed from Constantinos Venetsanopoulos to Vangelis Koukis

#5 - 02/07/2012 12:03 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Init script included as part of snf-cyclades-app with small modifications, distributed as part of Debian package, supports defaults file in /etc/defaults and

automatic start on boot, closing ticket.
Files

snf-dispatcher.tar 10 kB 09/28/2011 Costas Drogos
